Bug 58699 - RFE: Make CVS_RSH default to ssh
RFE: Make CVS_RSH default to ssh
Product: Red Hat Raw Hide
Classification: Retired
Component: cvs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Aaron Brown
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-01-23 06:43 EST by Bernhard Rosenkraenzer
Modified: 2007-04-18 12:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-19 05:04:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bernhard Rosenkraenzer 2002-01-23 06:43:50 EST
Description of Problem:
Any non-:pserver: protocol in CVS wants to run rsh. rsh is obsolete; pretty much
all CVS servers - including sourceforge, gnu.org and our own servers - want ssh.
Besides, ssh can fall back to rsh if the server doesn't support ssh connections
(and, of course, you can always export CVS_RSH=rsh if you really really need to
use insecure crap).

Version-Release number of selected component (if applicable):
Comment 1 Behdad Esfahbod 2004-01-18 23:35:35 EST
Well, this is really good.  Any way we can get it done?
Comment 2 Kyle R Maxwell 2005-06-01 14:22:06 EDT
Maybe this could go in the skeleton profiles? Alternately, any chance of a
change in the default upstream behavior?
Comment 3 Paul Wouters (this account to be phased out) 2005-09-01 15:49:10 EDT
This should go into /etc/profile.d/cvs.sh, a file that just contains:

# change default from rsh to ssh for cvs command
export CVS_RSH=ssh

which is then included in the cvs rpm.

Surely RedHat enginers must also be getting annoyed at producing rsh requests
when using their cvs repositories? No? :)

Note You need to log in before you can comment on or make changes to this bug.